routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\PostController;
use App\Http\Controllers\BlogController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\TagController;
use App\Http\Controllers\CommentsController;
use App\Http\Controllers\AjaxController;





/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['middleware' => ['web']], function(){

Route::get('blog/{slug}', [BlogController::class,'getSingle'])->name('blog.single')->where('slug', '[\w\d\-\_]+');
Route::get('blog', [BlogController::class,'getIndex'])->name('blog.index');
Route::get('contact', [PagesController::class,'getContact']);
Route::get('about', [PagesController::class,'getAbout']);
Route::get('/', [PagesController::class,'getIndex']);
Route::resource('posts', PostController::class);
Route::post('search', [PostController::class,'search'])->name('search');

//comments routes
Route::post('comments/{post_id}', [CommentsController::class,'store'])->name('comments.store');
Route::get('comments/{id}/edit', [CommentsController::class,'edit'])->name('comments.edit');
Route::put('comments/{id}', [CommentsController::class,'update'])->name('comments.update');
Route::delete('comments/{id}', [CommentsController::class,'destroy'])->name('comments.destroy');
Route::get('comments/{id}/delete', [CommentsController::class,'delete'])->name('comments.delete');




//categories routes
Route::resource('categories', CategoryController::class)->except(['create']);


//tags routes
Route::resource('tags', TagController::class)->except(['create']);

});

Auth::routes();
Route::get('logout', [LoginController::class,'logout'])->name('logout');
Route::get('auth/login', [HomeController::class,'getLogin']);

##ajax comment
Route::get('display_commentajax/{slug}', [CommentsController::class,'display_commentajax'])->name('display_commentajax');
Route::post('store_comments', [CommentsController::class,'store_comments'])->name('store_comments');


## ajax test
Route::get('ajax_test', [AjaxController::class,'ajax_test'])->name('ajax_test');
Route::post('store_user', [AjaxController::class,'store_user'])->name('store_user');
Route::get('display_user', [AjaxController::class,'display_user'])->name('display_user');

resources/views/partials/_footer.blade.php
<hr>
<p class="text-center">Copyright Jacurtis - All Rights Reserved</p>

resources/views/partials/_head.blade.php
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Laravel Blog @yield('title')</title> <!-- CHANGE THE TITLE FOR EACH PAGE -->

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css"
    integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">
    {{ Html::style('css/styles.css') }}

    @yield('stylesheets')

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

resources/views/partials/_js.blade.php
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"
integrity="sha384-0mSbJDEHialfmuBBQP6A4Qrprq5OVfW37PRR3j5ELqxss1yVqOtnepnHVP9aJ7xS" crossorigin="anonymous"></script>

resources/views/partials/_messages.blade.php
@if (Session::has('success'))
<div class="alert alert-success" role="alert">
  <strong>Success: </strong>{{ Session::get('success') }}
</div>

@endif

@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
  <strong>Errors: </strong>
  <ul>
  @foreach ($errors->all() as $error)
    <li>{{ $error }}</li>
  @endforeach
  </ul>
</div>
@endif

resources/views/partials/_nav.blade.php
<nav class="navbar navbar-default">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#">Laravel Blog</a>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav">
        <li class="{{ Request::is('/') ? "active" : "" }}"><a href="/">Home</a></li>
        <li class="{{ Request::is('blog') ? "active" : "" }}"><a href="/blog">Blog</a></li>

        <li class="{{ Request::is('about') ? "active" : "" }}"><a href="/about">About Us</a></li>
        <li class="{{ Request::is('contact') ? "active" : "" }}"><a href="/contact">Contact Us</a></li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        @if (Auth::check())
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true"
           aria-expanded="false">Hello {{ Auth::user()->name }} <span class="caret"></span></a>
          <ul class="dropdown-menu">
            <li><a href="{{ route('posts.index') }}">Posts</a></li>
            <li><a href="{{ route('categories.index') }}">Categories</a></li>
            <li><a href="{{ route('tags.index') }}">Tags</a></li>
            <li role="separator" class="divider"></li>
            <li><a href="{{ route('logout') }}">Logout</a></li>
          </ul>
        </li>

        @else

        <a href="{{ route('login') }}" class="btn btn-default">Login</a>

        @endif
      </ul>

    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>